wxPGChoicesData Class Reference | wxWidgets

| Version: 3.2.11

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
wxPGChoicesData Class Reference

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.2/wxWidgets3.2-3.2.11-1.x86_64/src/wxWidgets-3.2.11/interface/wx/propgrid/property.h>`

Inheritance diagram for wxPGChoicesData:
[legend]

## Public Member Functions
| wxPGChoicesData ()
void | CopyDataFrom (wxPGChoicesData *data)
wxPGChoiceEntry & | Insert (int index, const wxPGChoiceEntry &item)
void | Clear ()
unsigned int | GetCount () const
const wxPGChoiceEntry & | Item (unsigned int i) const
wxPGChoiceEntry & | Item (unsigned int i)
Public Member Functions inherited from wxRefCounter
| wxRefCounter ()
| Default constructor.
void | DecRef ()
| Decrements the reference count associated with this shared data and, if it reaches zero, destroys this instance of wxRefCounter releasing its memory.
int | GetRefCount () const
| Returns the reference count associated with this shared data.
void | IncRef ()
| Increments the reference count associated with this shared data.

## Protected Member Functions
virtual | ~wxPGChoicesData ()
Protected Member Functions inherited from wxRefCounter
virtual | ~wxRefCounter ()
| Destructor.

## Constructor & Destructor Documentation

## ◆ wxPGChoicesData()

wxPGChoicesData::wxPGChoicesData | ( |  | ) |

## ◆ ~wxPGChoicesData()

virtual wxPGChoicesData::~wxPGChoicesData | ( |  | ) |
| protectedvirtual

## Member Function Documentation

## ◆ Clear()

void wxPGChoicesData::Clear | ( |  | ) |

## ◆ CopyDataFrom()

void wxPGChoicesData::CopyDataFrom | ( | wxPGChoicesData * | data | ) |

## ◆ GetCount()

unsigned int wxPGChoicesData::GetCount | ( |  | ) | const

## ◆ Insert()

wxPGChoiceEntry & wxPGChoicesData::Insert | ( | int | index,
|  | const wxPGChoiceEntry & | item )

## ◆ Item() [1/2]

wxPGChoiceEntry & wxPGChoicesData::Item | ( | unsigned int | i | ) |

## ◆ Item() [2/2]

const wxPGChoiceEntry & wxPGChoicesData::Item | ( | unsigned int | i | ) | const